package com.rc.core.util.net

/**
 * Function : 网络变化监听事件
 * Date:  2020-10-15 10:29
 * Author: ReiChin_
 * Version:
 */
interface NetChangeListener {

    /**
     * wifi变为4G
     */
    fun onWifiTo4G()

    /**
     * 4G变为wifi
     */
    fun on4GToWifi()

    /**
     * 网络断开
     */
    fun onNetDisconnected()

//    //实现接口内回调方法,调用对应函数变量的invoke(param)方法实现回调
//    override fun nextFun(data: T?) {
//        //函数类型的值可以通过其 invoke(……) 操作符调用：f.invoke(x) 或者直接 f(x)。
//        this.next.invoke(data)
//        //this.next(data)
//    }
//    override fun errorFun(code: Int, message: String) {
//        this.error.invoke(code, message)
//    }
}